local assets =
{
	Asset("ANIM", "anim/nightstick.zip"),
	Asset("ANIM", "anim/swap_nightstick.zip"),
	Asset("SOUND", "sound/common.fsb"),
}
 
local prefabs =
{
	"nightstickfire",
}    


local function onequip(inst, owner) 
    inst.components.burnable:Ignite()
    owner.AnimState:OverrideSymbol("swap_object", "swap_nightstick", "swap_nightstick")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
    
    inst.SoundEmitter:PlaySound("dontstarve_DLC001/common/morningstar", "torch")
--    inst.SoundEmitter:SetParameter( "torch", "intensity", 1 )

    inst.fire = SpawnPrefab( "nightstickfire" )
    local follower = inst.fire.entity:AddFollower()
    follower:FollowSymbol( owner.GUID, "swap_object", 0, -110, 1 )
    
    --take a percent of fuel next frame instead of this one, so we can remove the torch properly if it runs out at that point
	
end

local function onunequip(inst,owner) 
	inst.fire:Remove()
    inst.fire = nil
    
    inst.components.burnable:Extinguish()
    owner.components.combat.damage = owner.components.combat.defaultdamage 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal")
    inst.SoundEmitter:KillSound("torch")
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
    anim:SetBank("nightstick")
    anim:SetBuild("nightstick")
    anim:PlayAnimation("idle")
    MakeInventoryPhysics(inst)
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.NIGHTSTICK_DAMAGE)
    inst.components.weapon:SetOnAttack(function(inst)
        if inst and inst:IsValid() and inst.fire and inst.fire:IsValid() then
            inst.fire:OnAttack()
        end
    end)
    inst.components.weapon:SetElectric()
    
    
    -- inst.components.weapon:SetAttackCallback(
    --     function(attacker, target)
    --         if target.components.burnable then
    --             if math.random() < TUNING.TORCH_ATTACK_IGNITE_PERCENT*target.components.burnable.flammability then
    --                 target.components.burnable:Ignite()
    --             end
    --         end
    --     end
    -- )
    
    -- -----------------------------------
    -- inst:AddComponent("lighter")
    -- -----------------------------------
    
    inst:AddComponent("inventoryitem")
    -----------------------------------
    
    inst:AddComponent("equippable")

    inst.components.equippable:SetOnPocket( function(owner) inst.components.burnable:Extinguish()  end)
    
    inst.components.equippable:SetOnEquip( onequip )
     
    inst.components.equippable:SetOnUnequip( onunequip )
    

    -----------------------------------
    
    inst:AddComponent("inspectable")
 
    -----------------------------------
    
    inst:AddComponent("burnable")
    inst.components.burnable.canlight = false
    inst.components.burnable.fxprefab = nil
    --inst.components.burnable:AddFXOffset(Vector3(0,1.5,-.01))
	inst.components.burnable:Extinguish() 


    
    return inst
end

return Prefab( "common/inventory/nightstick", fn, assets, prefabs) 
